Module java.desktop
Package java.awt

## Class JobAttributes.SidesType

- java.lang.Object
- - java.awt.JobAttributes.SidesType

- Enclosing class:
    JobAttributes

      public static final class JobAttributes.SidesType
      extends Object

  A type-safe enumeration of possible multi-page impositions. These impositions are in compliance with IPP 1.1.
  Since:
    1.3

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static JobAttributes.SidesType` | `ONE_SIDED` | The `SidesType` instance to use for specifying that consecutive job pages should be printed upon the same side of consecutive media sheets.
    `static JobAttributes.SidesType` | `TWO_SIDED_LONG_EDGE` | The `SidesType` instance to use for specifying that consecutive job pages should be printed upon front and back sides of consecutive media sheets, such that the orientation of each pair of pages on the medium would be correct for the reader as if for binding on the long edge.
    `static JobAttributes.SidesType` | `TWO_SIDED_SHORT_EDGE` | The `SidesType` instance to use for specifying that consecutive job pages should be printed upon front and back sides of consecutive media sheets, such that the orientation of each pair of pages on the medium would be correct for the reader as if for binding on the short edge.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `hashCode()` | Returns a hash code value for the object.
    `String` | `toString()` | Returns a string representation of the object.

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ONE_SIDED

          public static final JobAttributes.SidesType ONE_SIDED

      The `SidesType` instance to use for specifying that consecutive job pages should be printed upon the same side of consecutive media sheets.

    - #### TWO_SIDED_LONG_EDGE

          public static final JobAttributes.SidesType TWO_SIDED_LONG_EDGE

      The `SidesType` instance to use for specifying that consecutive job pages should be printed upon front and back sides of consecutive media sheets, such that the orientation of each pair of pages on the medium would be correct for the reader as if for binding on the long edge.

    - #### TWO_SIDED_SHORT_EDGE

          public static final JobAttributes.SidesType TWO_SIDED_SHORT_EDGE

      The `SidesType` instance to use for specifying that consecutive job pages should be printed upon front and back sides of consecutive media sheets, such that the orientation of each pair of pages on the medium would be correct for the reader as if for binding on the short edge.

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Description copied from class: `Object`
      Returns a hash code value for the object. This method is supported for the benefit of hash tables such as those provided by `HashMap`.

      The general contract of `hashCode` is:

      - Whenever it is invoked on the same object more than once during an execution of a Java application, the `hashCode` method must consistently return the same integer, provided no information used in `equals` comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application.
      - If two objects are equal according to the `equals(Object)` method, then calling the `hashCode` method on each of the two objects must produce the same integer result.
      - It is not required that if two objects are unequal according to the `Object.equals(java.lang.Object)` method, then calling the `hashCode` method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hash tables.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        a hash code value for this object.
      See Also:
        `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`

    - #### toString

          public String toString()

      Description copied from class: `Object`
      Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

      The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

      >      getClass().getName() + '@' + Integer.toHexString(hashCode())

      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of the object.